Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QEditorFactory Class Reference

The QEditorFactory class is used to create editor widgets for QVariant data types. More...

`#include <qeditorfactory.h>`

Inherits QObject.

Inherited by QSqlEditorFactory.

List of all member functions.

## Public Members

- QEditorFactory ( QObject * parent = 0, const char * name = 0 )
- ~QEditorFactory ()
- virtual QWidget * createEditor ( QWidget * parent, const QVariant & v )

## Static Public Members

- QEditorFactory * defaultFactory ()
- void installDefaultFactory ( QEditorFactory * factory )

## Detailed Description

The QEditorFactory class is used to create editor widgets for QVariant data types.

Each editor factory provides the createEditor() function which given a QVariant will create and return a QWidget that can edit that QVariant. For example if you have a QVariant::String type, a QLineEdit would be the default editor returned, whereas a QVariant::Int's default editor would be a QSpinBox.

If you want to create different editors for fields with the same data type, subclass QEditorFactory and reimplement the createEditor() function.

See also Advanced Widgets.

## Member Function Documentation

### QEditorFactory::QEditorFactory ( QObject * parent = 0, const char * name = 0 )

Constructs an editor factory with parent parent and name name.

### QEditorFactory::~QEditorFactory ()

Destroys the object and frees any allocated resources.

### QWidget * QEditorFactory::createEditor ( QWidget * parent, const QVariant & v )`[virtual]`

Creates and returns the appropriate editor for the QVariant v. If the QVariant is invalid, 0 is returned. The parent is passed to the appropriate editor's constructor.

Reimplemented in QSqlEditorFactory.

### QEditorFactory * QEditorFactory::defaultFactory ()`[static]`

Returns an instance of a default editor factory.

### void QEditorFactory::installDefaultFactory ( QEditorFactory * factory )`[static]`

Replaces the default editor factory with factory. QEditorFactory takes ownership of factory, and destroys it when it is no longer needed.

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.